Subject: Re: Comments on AAL Type 2 Signalling

From: Bruce A Thompson <[email-masked]>
Date: Wed, 06 Dec 2000 11:34:35 -0800

At 10:15 AM 12/06/2000 -0800, Hari Krishna Vuppaladhadiam wrote:
><?color><?param 0100,0100,0100> 
>Hello,
>  
>   I have a few doubts regarding signalling/tones data transfer on AAL-2. ITU has suggested several tones like the following:
>Dial, Recall Dial, Ringing, Busy, Congestion, Special information, Warning and Record tone (apart from PBX tones).
>How are these carried over by AAL-2? 

I think you are talking about I.366.2 (AAL Type 2 Service Specific Convergence Sublayer for Trunking). The message above has nothing to do with I.366.2. It is about I.366.1 (Segmentation and Reassembly Service Specific Convergence Sublayer for the AAL type 2).

This message is the result of a mtg we had with ITU SG13 to address issues we had in making draft-buffam-avt-crtp-over-aal2-01.txt work with I.366.1. The message is just stating what is being done in SG13 and SG11 to address the issues raised by this draft.

Draft-buffam-avt-crtp-over-aal2-01.txt has generalized the original contribution draft-buffam-avt-crtp-over-aal2-00.txt which was called "IP/UDP/RTP Header Compression over AAL2" into "PPP over AAL2". Because of this change, we are presenting draft-buffam-avt-crtp-over-aal2-01.txt in PPPEXT and not in AVT. While the generalization from "IP/UDP/RTP Header Compression" to "PPP" was straight forward in the draft, it caused the draft to move from one working group to another. Sorry for any confusion caused by this.

Note that no action will be taken on this draft in the ITU unless it moves forward. We are presenting draft-buffam-avt-crtp-over-aal2-01.txt in PPPEXT to determine whether it does indeed move forward.

         Bruce T

>  
>Regards
>Hari V
>  
>>-----Original Message-----
>>From: Greg Ratta <<mailto:[email-masked]>[email-masked]>
>>To: <mailto:[email-masked]>[email-masked] <<mailto:[email-masked]>[email-masked]>; <mailto:[email-masked]>[email-masked] <<mailto:[email-masked]>[email-masked]>
>>Cc: <mailto:[email-masked]>[email-masked] <<mailto:[email-masked]>[email-masked]>; <mailto:[email-masked]>[email-masked] <<mailto:[email-masked]>[email-masked]>; <mailto:[email-masked]>[email-masked] <<mailto:[email-masked]>[email-masked]>; <mailto:[email-masked]>[email-masked] <<mailto:[email-masked]>[email-masked]>; <mailto:[email-masked]>[email-masked] <<mailto:[email-masked]>[email-masked]>; <mailto:[email-masked]>[email-masked] <<mailto:[email-masked]>[email-masked]>; <mailto:[email-masked]>[email-masked] <<mailto:[email-masked]>[email-masked]>; <mailto:[email-masked]>[email-masked] <<mailto:[email-masked]>[email-masked]>
>>Date: Wednesday, December 06, 2000 9:59 AM
>>Subject: Comments on AAL Type 2 Signalling
>>
>>This message represents a communication to the IETF AVT and PPPEXT WGs that was approved by ITU-T SG 11 at its December 6, 2000 meeting. For followup technical discussions, please correspond with Mr. Ian Rytina, Q15/11 Rapporteur ({ HYPERLINK mailto:[email-masked] [email-masked]), and Mr. Mike McLoughlin ([email-masked])<?fontfamily><?param Courier New> 
>>
>>1. Introduction 
>><?paraindent><?param right>This communication has been generated by ITU- T SG11 as a result of information received from ITU-T SG13 related to the transport of PPP and/or CRTP over AAL type 2.<?/paraindent>
>>
>>
>>
>>2. Request for Signalling of I.366.1 Applications 
>><?paraindent><?param right>It has been brought to the attention of SG11 that the IETF is planning to use the SSSAR service of ITU-T Recommendation I.366.1. It is the understanding of the participants of SG 11 that the IETF is going to use particular UUI code points to distinguish among different forms of PDUs. In addition, more than one application may use this SSSAR.<?/paraindent>
>>
>>
>>
>><?paraindent><?param right>It has been communicated that SG13 initiated the definition of an SSCF to SSSAR (as a new Annex to ITU-T Recommendation I.366.1). In addition to this new SSCF, there is a need to signal what application is making use of this new Annex.<?/paraindent>
>>
>>
>>
>><?paraindent><?param right>SG11 have noted that communication has been initiated between SG13 and the IETF. SG 11 anticipate that there may be a future request to provide a signalling mechanism for such applications, once the IETF indicate which applications are required to be supported (e.g. PPP over AAL type 2 and/or CRTP over AAL type 2, similar to that outlined in draft-buffam-avt- crtp-over- aal2-01.txt). SG11 note that these are valid applications of AAL type 2 and are happy to provide the necessary signalling support.<?/paraindent>
>>
>>
>>
>><?paraindent><?param right>The participants in SG 11 would like to point out that ITU-T Recommendations Q.2630.1 and Q.2630.2 already include a parameter entitled Served User Transport, which may be used to carry such application information; however, it is not clear whether this meets the proposed requirements of the IETF. As such, SG11 is awaiting further information from the IETF.<?/paraindent> 
>>
>>
>>
>>
>>Greg Ratta, Vice Chairman, ITU-T SG 11, Signalling requirements and protocols
>>Lucent Technologies Tel: +1 732 332 5174, Fax: +1 732 949 1196, [email-masked] 

Bruce Thompson
Cisco Systems : IOS Products
email: [email-masked]
office: (408)527-0446
home office: (408)868-0112
San Jose, CA